libzypp 17.37.10

MediaCurl.cc File Reference
`#include <iostream>`
`#include <chrono>`
`#include <list>`
`#include <zypp/base/Logger.h>`
`#include <zypp/ExternalProgram.h>`
`#include <zypp/base/String.h>`
`#include <zypp/base/Gettext.h>`
`#include <utility>`
`#include <zypp-core/parser/Sysconfig>`
`#include <zypp/media/MediaCurl.h>`
`#include <zypp-core/zyppng/base/private/linuxhelpers_p.h>`
`#include <zypp-core/base/userrequestexception.h>`
`#include <zypp-curl/ProxyInfo>`
`#include <zypp-curl/auth/CurlAuthData>`
`#include <zypp-media/auth/CredentialManager>`
`#include <zypp-curl/CurlConfig>`
`#include <zypp/Target.h>`
`#include <zypp/ZYppFactory.h>`
`#include <zypp/ZConfig.h>`
`#include <zypp/zypp_detail/ZYppImpl.h>`
`#include <cstdlib>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <sys/mount.h>`
`#include <dirent.h>`
`#include <unistd.h>`
`#include <glib.h>`
`#include "detail/OptionalDownloadProgressReport.h"`

Go to the source code of this file.

## Classes
struct | internal::ProgressData
class | internal::MediaCurlExceptionMayRetryInternaly
| Attempt to work around certain issues by autoretry in MediaCurl::getFileCopy E.g. More...

## Namespaces
namespace | internal
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::media

## Macros
#define | SET_OPTION(opt, val)
#define | SET_OPTION_OFFT(opt, val)
#define | SET_OPTION_LONG(opt, val)
#define | SET_OPTION_VOID(opt, val)

## Macro Definition Documentation

## ◆ SET_OPTION

#define SET_OPTION | ( |  | opt,
|  |  | val )

Value:
do { \
ret = curl_easy_setopt ( curl, opt, val ); \
if ( ret != 0) { \
ZYPP_THROW(MediaCurlSetOptException(_origin.at(rData.mirror).url(), _curlError)); \
} \
} while ( false )

Todo
  deprecate SET_OPTION and use the typed versions below.

Definition at line 220 of file MediaCurl.cc.

## ◆ SET_OPTION_OFFT

#define SET_OPTION_OFFT | ( |  | opt,
|  |  | val )

Value:
SET_OPTION(opt,(curl_off_t)val)
SET_OPTION
#define SET_OPTION(opt, val)
Definition MediaCurl.cc:220

Definition at line 227 of file MediaCurl.cc.

## ◆ SET_OPTION_LONG

#define SET_OPTION_LONG | ( |  | opt,
|  |  | val )

Value:
SET_OPTION(opt,(long)val)

Definition at line 228 of file MediaCurl.cc.

## ◆ SET_OPTION_VOID

#define SET_OPTION_VOID | ( |  | opt,
|  |  | val )

Value:
SET_OPTION(opt,(void*)val)

Definition at line 229 of file MediaCurl.cc.